from typing import Optional

import FreeCADGui as Gui
import FreeCAD as App

class AHB_Animate:
    def GetResources(self):
        return {"MenuText": "Animate",
                "ToolTip": "Animate active stage to show all build stages",
                "Pixmap": ""
                }

    def IsActive(self):
        return True

    def Activated(self, stageId: Optional[int] = None):
        workbench = Gui.getWorkbench("AssemblyHandbookWorkbench")
        workbench.context.setAnimationActive(not workbench.context.getAnimationActive())

from ahb_command import AHB_CommandWrapper
AHB_CommandWrapper.addGuiCommand('AHB_animate', AHB_Animate())
